Bug 242663 - Compiz Desktop Effects bug
Compiz Desktop Effects bug
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Depends On:
  Show dependency treegraph
Reported: 2007-06-05 07:45 EDT by Clodoaldo Pinto Neto
Modified: 2008-06-16 21:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:25:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg.conf (911 bytes, text/plain)
2007-10-31 03:32 EDT, Christian Nolte
no flags Details
Xorg.0.log (using the current nvidia driver) (32.28 KB, text/plain)
2007-10-31 03:33 EDT, Christian Nolte
no flags Details
Xorg.0.log (autodetected) (63.47 KB, text/plain)
2007-10-31 03:34 EDT, Christian Nolte
no flags Details
Xorg.0.log for Macbook (49.40 KB, text/plain)
2007-12-11 13:04 EST, Richard Schwarting
no flags Details
xorg.conf for Macbook (1.02 KB, application/octet-stream)
2007-12-11 13:06 EST, Richard Schwarting
no flags Details
.xsession-errors for Macbook (1.12 KB, application/octet-stream)
2007-12-11 13:12 EST, Richard Schwarting
no flags Details
xorg.conf (1.39 KB, text/plain)
2008-01-30 16:51 EST, Clodoaldo Pinto Neto
no flags Details
Xorg.0.log (18.06 KB, text/plain)
2008-01-30 16:52 EST, Clodoaldo Pinto Neto
no flags Details
Xorg.0.log without xorg.conf (56.95 KB, text/plain)
2008-01-30 16:58 EST, Clodoaldo Pinto Neto
no flags Details

  None (edit)
Description Clodoaldo Pinto Neto 2007-06-05 07:45:31 EDT
Description of problem:

When I logout and login with Desktop Effects enabled the applicattions
restart without the title bar.
Gnome desktop. I'm Using nVidia MX 440 video card with the nVidia 96xx driver,
but someone in the fedora-list reported he can reproduce it in Intel onboard video.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Set the session to automaticaly save changes.
Open a terminal.
Open Desktop Effects.
Unselect "Windows Wobble when Moved".
Select "Workspaces on a Cube".
Enable Desktop Effects.
Logout and Login.

Actual results:
The terminal and other applications like gedit starts without the title bar.
Additional info:
Comment 1 Christian Nolte 2007-06-05 17:12:27 EDT
Same problem here since fc6 (and now in f7 also):


07:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7600 GS] (rev a1)

Disabling desktop effects and then enabling them again shows the title bars again.
Comment 2 Stephen 2007-06-10 20:40:55 EDT
Same problem with my intel 915GM laptop.

Wobbly windows works great when enabled. log out - log in: missing windows. Turn
desktop effects off and metacity decorations reappear, turn desktop effects back
on and the windows wobble. Decorations disappear at next login.

From ~/.xsession-errors:

compiz: No stencil buffer. Clipping of transformed windows is not going to be
correct when screen is transformed.
compiz: Screen 0 on display ":0.0" already has a window manager; try using the
--replace option to replace the current window manager.
compiz: No manageable screens found on display :0.0
Comment 3 Roel Gloudemans 2007-06-18 11:08:41 EDT
Same problem here. But I traced it to gtk-windows-decorator producing output.
When I select a theme that does not support all features gt-window-decorator
generates output stating that it ignores certain things. This can be observer if
gtk-windows-decorator is started by hand. If an output terminal is present
(current shell or nohup output file) it works perfectly. But on logging in, when
no output device is present it fails.

This could also be related to bug #243515
Comment 4 Christian Nolte 2007-06-18 13:41:10 EDT
I get the following error messages in .xsession-errors. Some process is doing
something nasty here (btw, 3465 is compiz itself)...

[nolte@localhost ~]$ cat .xsession-errors 
localuser:nolte being added to access control list
Initializing nautilus-search-tool extension
Initializing nautilus-image-converter extension
Initializing nautilus-open-terminal extension

(process:3465): GLib-WARNING **: GError set over the top of a previous GError or
uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before
it's set.
The overwriting error message was: File not found
compiz: Failed to load slide: fedora-logo

(process:3465): GLib-WARNING **: GError set over the top of a previous GError or
uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before
it's set.
The overwriting error message was: File not found
compiz: Failed to load slide: /usr/share/pixmaps/fedora-logo
Loading "installonlyn" plugin
warning: /etc/pam.d/system-auth created as /etc/pam.d/system-auth.rpmnew
[nolte@localhost ~]$ pgrep 3465
[nolte@localhost ~]$ ps ax | grep 3465
 3465 ?        S      0:02 compiz --replace gconf
 4173 pts/0    R+     0:00 grep 3465
Comment 5 Matěj Cepl 2007-10-29 10:59:09 EDT
Reporter and Christian, please attach your X server config file 
(/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug 
report as individual uncompressed file attachments using the bugzilla file 
attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and 
let X11 autodetect your display and video card? Attach to this 
bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this 

Thanks in advance.
Comment 6 Christian Nolte 2007-10-31 03:32:16 EDT
Created attachment 244231 [details]
Comment 7 Christian Nolte 2007-10-31 03:33:22 EDT
Created attachment 244251 [details]
Xorg.0.log (using the current nvidia driver)
Comment 8 Christian Nolte 2007-10-31 03:34:09 EDT
Created attachment 244261 [details]
Xorg.0.log (autodetected)
Comment 9 Christian Nolte 2007-11-11 15:45:53 EST
Problem still persists with F8:

[nolte@ravine ~]$ rpm -qa | grep nvidia
Comment 10 Richard Schwarting 2007-12-10 01:53:21 EST
Just encountered on a Macbook.  Would attaching any files help?
Comment 11 Matěj Cepl 2007-12-11 09:13:17 EST
Richard, try to follow the information in comment 5, please.
Comment 12 Richard Schwarting 2007-12-11 13:04:37 EST
Created attachment 284391 [details]
Xorg.0.log for Macbook

I'll note that all the lines starting with "(II) intel(0): " and the last one
with "(II) XAA: " only appear after Desktop Effects have been successfully
enabled.  In the case where I logged in and window borders were absent, those
lines did not appear in the Xorg.0.conf
Comment 13 Richard Schwarting 2007-12-11 13:06:40 EST
Created attachment 284401 [details]
xorg.conf for Macbook

The only customisations to this xorg.conf were for the touchpad, so that the
cursor would travel at a decent speed.
Comment 14 Richard Schwarting 2007-12-11 13:12:49 EST
Created attachment 284411 [details]
.xsession-errors for Macbook

Here is the .xsession-errors file for the session that begins with Desktop
Effects failing, followed by me manually turning it on.   From the beginning up
through the four nautilus warnings is after the failed Desktop Effects start. 
Everything from the line starting with "compiz (video)" on comes after I
manually start them.  

I wonder why compiz thinks that "GLX_EXT_texture_from_pixmap is missing" when
it shouldn't be.  GLXinfo reports it, and Desktop Effects always works as long
as I'm not trying to restore a GNOME session.
Comment 15 Clodoaldo Pinto Neto 2008-01-30 16:51:22 EST
Created attachment 293490 [details]
Comment 16 Clodoaldo Pinto Neto 2008-01-30 16:52:40 EST
Created attachment 293491 [details]
Comment 17 Clodoaldo Pinto Neto 2008-01-30 16:58:24 EST
Created attachment 293493 [details]
Xorg.0.log without xorg.conf
Comment 18 Bug Zapper 2008-05-14 08:49:27 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2008-06-16 21:25:49 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.